# Limiting the auto-capture amount

## Problem

You have enabled the auto-capture option for a payment method, but you still want to require a manual capture for orders with a total amount over a specified threshold.

## Solution

To add such a constraint, send a `PATCH` request to the `/api/payment_methods/:id` endpoint, using the `auto_capture_max_amount_cents` attribute value to set the amount over which you want the auto-capture option to be disabled.

### Example

{% tabs %}
{% tab title="Request" %}
The following request updates the payment method identified by the "hJGrTfdaEW " ID to automatically disable the auto capture for orders with a total amount over €2000:

<pre class="language-javascript"><code class="lang-javascript">curl -g -X PATCH \
  'http://yourdomain.commercelayer.io/api/payment_methods/hJGrTfdaEW' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "payment_methods",
    "id": "hJGrTfdaEW",
    "attributes": {
<strong>      "auto_capture": true,
</strong><strong>      "auto_capture_max_amount_cents": 200000
</strong>    }
  }
}'
</code></pre>

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning the updated payment method object:

<pre class="language-javascript"><code class="lang-javascript">{
  "data": {
    "id": "hJGrTfdaEW",
    "type": "payment_methods",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/payment_methods/hJGrTfdaEW"
    },
    "attributes": {
      "payment_source_type": "paypal_payments",
      "name": "Paypal Payment", 
      "currency_code": "EUR", 
      "moto": false, 
      "require_capture": true, 
<strong>      "auto_capture": true, 
</strong>      "disabled_at": null, 
      "price_amount_cents": 0, 
      "price_amount_float": 0.0,
      "formatted_price_amount": "€0,00", 
<strong>      "auto_capture_max_amount_cents": 200000, 
</strong><strong>      "auto_capture_max_amount_float": 2000.0, 
</strong><strong>      "formatted_auto_capture_max_amount": "€2000,00",
</strong>      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": null,
      "reference_origin": null,
      "metadata": {}
    },
    "relationships": {
      ...
    },
    "meta": {
      "mode": "test"
    }
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## More to read

See our documentation if you need more information on how to [update a payment method](https://app.gitbook.com/s/RWJeylueWkzLadK710XZ/payment_methods/update).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/how-tos/placing-orders/auto-capture/limiting-the-auto-capture-amount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
